---
title: RTCIceCandidateStats.candidateType
slug: Web/API/RTCIceCandidateStats/candidateType
tags:
  - API
  - Candidate
  - ICE
  - Networking
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - candidateType
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p>The {{domxref("RTCIceCandidateStats")}} interface's <code><strong>candidateType</strong></code> property is a string which indicates the type of {{Glossary("ICE")}} candidate the object represents.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>candidateType</em> = <em>rtcIceCandidateStats</em>.candidateType;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value is one of the strings found in the {{domxref("RTCIceCandidateType")}} enumerated type:{{page("/en-US/docs/Web/API/RTCIceCandidateType", "value-list")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats', 'RTCIceCandidateStats.candidateType') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.candidateType")}}</p>
